diff --git a/web/regression/javascript/slickgrid/cell_selector_spec.js b/web/regression/javascript/slickgrid/cell_selector_spec.js
index ed7c0aee..b32fdf80 100644
--- a/web/regression/javascript/slickgrid/cell_selector_spec.js
+++ b/web/regression/javascript/slickgrid/cell_selector_spec.js
@@ -7,71 +7,69 @@
 //
 //////////////////////////////////////////////////////////////
 
-define(["jquery",
-    "slickgrid/slick.grid",
-    "sources/selection/xcell_selection_model",
-    "sources/slickgrid/cell_selector",
-    "sources/selection/range_selection_helper"
-  ],
-  function ($, SlickGrid, XCellSelectionModel, CellSelector, RangeSelectionHelper) {
-    describe("CellSelector", function () {
-      var container, columns, cellSelector, data, cellSelectionModel, grid;
-      beforeEach(function () {
-        container = $("<div></div>");
-        container.height(9999);
-        container.width(9999);
-        columns = [{
-          name: 'some-column-name',
-        }, {
-          name: 'second column',
-        }];
+import $ from "jquery";
+import SlickGrid from "slickgrid.grid";
+import XCellSelectionModel from "sources/selection/xcell_selection_model";
+import CellSelector from "sources/slickgrid/cell_selector";
+import RangeSelectionHelper from "sources/selection/range_selection_helper";
 
-        cellSelector = new CellSelector();
+describe("CellSelector", function () {
+  var container, columns, cellSelector, data, cellSelectionModel, grid;
+  beforeEach(function () {
+    container = $("<div></div>");
+    container.height(9999);
+    container.width(9999);
+    columns = [{
+      name: 'some-column-name',
+    }, {
+      name: 'second column',
+    }];
 
-        data = [];
-        for (var i = 0; i < 10; i++) {
-          data.push({'some-column-name': 'some-value-' + i, 'second column': 'second value ' + i});
-        }
-        grid = new SlickGrid(container, data, columns);
+    cellSelector = new CellSelector();
 
-        cellSelectionModel = new XCellSelectionModel();
-        grid.setSelectionModel(cellSelectionModel);
+    data = [];
+    for (var i = 0; i < 10; i++) {
+      data.push({'some-column-name': 'some-value-' + i, 'second column': 'second value ' + i});
+    }
+    grid = new Slick.Grid(container, data, columns);
 
-        grid.registerPlugin(cellSelector);
-        grid.invalidate();
+    cellSelectionModel = new XCellSelectionModel();
+    grid.setSelectionModel(cellSelectionModel);
 
-        $("body").append(container);
-      });
+    grid.registerPlugin(cellSelector);
+    grid.invalidate();
 
-      afterEach(function () {
-        $("body").find(container).remove();
-      });
+    $("body").append(container);
+  });
 
-      describe("when the user clicks or tabs to a cell", function () {
-        it("sets the selected range to that cell", function () {
-          var row = 1, column = 0;
-          $(container.find(".slick-row .slick-cell.l" + column)[row]).click();
+  afterEach(function () {
+    $("body").find(container).remove();
+  });
 
-          var selectedRanges = cellSelectionModel.getSelectedRanges();
-          expect(selectedRanges.length).toBe(1);
-          expect(selectedRanges[0].fromCell).toBe(0);
-          expect(selectedRanges[0].toCell).toBe(0);
-          expect(selectedRanges[0].fromRow).toBe(1);
-          expect(selectedRanges[0].toRow).toBe(1);
-        });
+  describe("when the user clicks or tabs to a cell", function () {
+    it("sets the selected range to that cell", function () {
+      var row = 1, column = 0;
+      $(container.find(".slick-row .slick-cell.l" + column)[row]).click();
 
-        it("deselects previously selected ranges", function () {
-          var row2Range = RangeSelectionHelper.rangeForRow(grid, 2);
-          var ranges = RangeSelectionHelper.addRange(cellSelectionModel.getSelectedRanges(),
-            row2Range);
-          cellSelectionModel.setSelectedRanges(ranges);
+      var selectedRanges = cellSelectionModel.getSelectedRanges();
+      expect(selectedRanges.length).toBe(1);
+      expect(selectedRanges[0].fromCell).toBe(0);
+      expect(selectedRanges[0].toCell).toBe(0);
+      expect(selectedRanges[0].fromRow).toBe(1);
+      expect(selectedRanges[0].toRow).toBe(1);
+    });
+
+    it("deselects previously selected ranges", function () {
+      var row2Range = RangeSelectionHelper.rangeForRow(grid, 2);
+      var ranges = RangeSelectionHelper.addRange(cellSelectionModel.getSelectedRanges(),
+        row2Range);
+      cellSelectionModel.setSelectedRanges(ranges);
 
-          var row = 4, column = 1;
-          $(container.find(".slick-row .slick-cell.l" + column)[row]).click();
+      var row = 4, column = 1;
+      $(container.find(".slick-row .slick-cell.l" + column)[row]).click();
 
-          expect(RangeSelectionHelper.isRangeSelected(cellSelectionModel.getSelectedRanges(), row2Range))
-            .toBe(false);
-        });
-      });
+      expect(RangeSelectionHelper.isRangeSelected(cellSelectionModel.getSelectedRanges(), row2Range))
+        .toBe(false);
     });
-  });
\ No newline at end of file
+  });
+});
diff --git a/web/regression/javascript/slickgrid/event_handlers/handle_query_output_keyboard_event_spec.js b/web/regression/javascript/slickgrid/event_handlers/handle_query_output_keyboard_event_spec.js
index 14768227..884ae415 100644
--- a/web/regression/javascript/slickgrid/event_handlers/handle_query_output_keyboard_event_spec.js
+++ b/web/regression/javascript/slickgrid/event_handlers/handle_query_output_keyboard_event_spec.js
@@ -7,137 +7,139 @@
 //
 //////////////////////////////////////////////////////////////
 
-define([
-    'sources/slickgrid/event_handlers/handle_query_output_keyboard_event',
-    'sources/selection/clipboard',
-    'sources/selection/range_selection_helper',
-    'sources/selection/xcell_selection_model',
-    'slickgrid'
-  ],
-function (handleQueryOutputKeyboardEvent, clipboard, RangeSelectionHelper, XCellSelectionModel) {
-  var Slick = window.Slick;
-
-  describe('#handleQueryOutputKeyboardEvent', function () {
-    var event, view, grid, slickEvent;
+import HandleQueryOutputKeyboardEvent from 'sources/slickgrid/event_handlers/handle_query_output_keyboard_event';
+import clipboard from 'sources/selection/clipboard';
+import RangeSelectionHelper from 'sources/selection/range_selection_helper';
+import XCellSelectionModel from 'sources/selection/xcell_selection_model';
+import Slick from 'slickgrid';
+import 'slickgrid.grid';
+
+
+describe('#handleQueryOutputKeyboardEvent', function () {
+  var event, view, grid, slickEvent;
+  var SlickGrid = Slick.Grid;
+  var handleQueryOutputKeyboardEvent;
+
+  beforeEach(function () {
+    event = {
+      shiftKey: false,
+      ctrlKey: false,
+      metaKey: false,
+      which: -1,
+      keyCode: -1,
+      preventDefault: jasmine.createSpy('preventDefault')
+    };
+
+    var data = [['', '0,0-cell-content', '0,1-cell-content'],
+      ['', '1,0-cell-content', '1,1-cell-content'],
+      ['', '2,0-cell-content', '2,1-cell-content']];
+    var columnDefinitions = [{name: 'checkboxColumn'}, {pos: 1, name: 'firstColumn'}, {
+      pos: 2,
+      name: 'secondColumn'
+    }];
+    grid = new SlickGrid($('<div></div>'), data, columnDefinitions);
+    grid.setSelectionModel(new XCellSelectionModel());
+
+    slickEvent = {
+      grid: grid
+    };
+
+    view = {};
+    spyOn(clipboard, 'copyTextToClipboard');
+    handleQueryOutputKeyboardEvent = HandleQueryOutputKeyboardEvent.bind(window);
+    debugger
+  });
+
+  describe("when a range is selected", function () {
     beforeEach(function () {
-      event = {
-        shiftKey: false,
-        ctrlKey: false,
-        metaKey: false,
-        which: -1,
-        keyCode: -1,
-        preventDefault: jasmine.createSpy('preventDefault')
-      };
-
-      var data = [['', '0,0-cell-content', '0,1-cell-content'],
-        ['', '1,0-cell-content', '1,1-cell-content'],
-        ['', '2,0-cell-content', '2,1-cell-content']];
-      var columnDefinitions = [{name: 'checkboxColumn'}, {pos: 1, name: 'firstColumn'}, {
-        pos: 2,
-        name: 'secondColumn'
-      }];
-      grid = new Slick.Grid($('<div></div>'), data, columnDefinitions);
-      grid.setSelectionModel(new XCellSelectionModel());
-
-      slickEvent = {
-        grid: grid
-      };
-
-      view = {};
-      spyOn(clipboard, 'copyTextToClipboard');
+      grid.getSelectionModel().setSelectedRanges([
+        RangeSelectionHelper.rangeForRow(grid, 0),
+        RangeSelectionHelper.rangeForRow(grid, 2),
+      ]);
     });
 
-    describe("when a range is selected", function () {
+    describe("pressing Command + C", function () {
       beforeEach(function () {
-        grid.getSelectionModel().setSelectedRanges([
-          RangeSelectionHelper.rangeForRow(grid, 0),
-          RangeSelectionHelper.rangeForRow(grid, 2),
-        ]);
+        event.metaKey = true;
+        event.keyCode = 67;
       });
 
-      describe("pressing Command + C", function () {
-        beforeEach(function () {
-          event.metaKey = true;
-          event.keyCode = 67;
-        });
-
-        it("copies the cell content to the clipboard", function () {
-          handleQueryOutputKeyboardEvent(event, slickEvent);
+      it("copies the cell content to the clipboard", function () {
+        handleQueryOutputKeyboardEvent(event, slickEvent);
 
-          expect(clipboard.copyTextToClipboard).toHaveBeenCalledWith("'0,0-cell-content','0,1-cell-content'\n'2,0-cell-content','2,1-cell-content'");
-        });
+        expect(clipboard.copyTextToClipboard).toHaveBeenCalledWith("'0,0-cell-content','0,1-cell-content'\n'2,0-cell-content','2,1-cell-content'");
       });
+    });
 
-      describe("pressing Ctrl + C", function () {
-        beforeEach(function () {
-          event.ctrlKey = true;
-          event.keyCode = 67;
-        });
+    describe("pressing Ctrl + C", function () {
+      beforeEach(function () {
+        event.ctrlKey = true;
+        event.keyCode = 67;
+      });
 
-        it("copies the cell content to the clipboard", function () {
-          handleQueryOutputKeyboardEvent(event, slickEvent);
+      it("copies the cell content to the clipboard", function () {
+        handleQueryOutputKeyboardEvent(event, slickEvent);
 
-          expect(clipboard.copyTextToClipboard).toHaveBeenCalledWith("'0,0-cell-content','0,1-cell-content'\n'2,0-cell-content','2,1-cell-content'");
-        });
+        expect(clipboard.copyTextToClipboard).toHaveBeenCalledWith("'0,0-cell-content','0,1-cell-content'\n'2,0-cell-content','2,1-cell-content'");
       });
+    });
 
-      describe("pressing Command + A", function () {
-        beforeEach(function () {
-          event.metaKey = true;
-          event.keyCode = 65;
-        });
+    describe("pressing Command + A", function () {
+      beforeEach(function () {
+        event.metaKey = true;
+        event.keyCode = 65;
+      });
 
-        it("selects the entire grid to ranges", function () {
-          handleQueryOutputKeyboardEvent(event, slickEvent);
+      it("selects the entire grid to ranges", function () {
+        handleQueryOutputKeyboardEvent(event, slickEvent);
 
-          expect(RangeSelectionHelper.isEntireGridSelected(grid)).toBeTruthy();
-          expect(grid.getSelectionModel().getSelectedRanges().length).toBe(1);
-        });
+        expect(RangeSelectionHelper.isEntireGridSelected(grid)).toBeTruthy();
+        expect(grid.getSelectionModel().getSelectedRanges().length).toBe(1);
       });
+    });
 
-      describe("pressing Ctrl + A", function () {
-        beforeEach(function () {
-          event.ctrlKey = true;
-          event.keyCode = 65;
-        });
+    describe("pressing Ctrl + A", function () {
+      beforeEach(function () {
+        event.ctrlKey = true;
+        event.keyCode = 65;
+      });
 
-        it("selects the entire grid to ranges", function () {
-          handleQueryOutputKeyboardEvent(event, slickEvent);
+      it("selects the entire grid to ranges", function () {
+        handleQueryOutputKeyboardEvent(event, slickEvent);
 
-          expect(RangeSelectionHelper.isEntireGridSelected(grid)).toBeTruthy();
-          expect(grid.getSelectionModel().getSelectedRanges().length).toBe(1);
-        });
+        expect(RangeSelectionHelper.isEntireGridSelected(grid)).toBeTruthy();
+        expect(grid.getSelectionModel().getSelectedRanges().length).toBe(1);
       });
     });
+  });
 
-    describe("when no ranges are selected", function () {
-      describe("pressing Command + A", function () {
-        beforeEach(function () {
-          event.metaKey = true;
-          event.keyCode = 65;
-        });
+  describe("when no ranges are selected", function () {
+    describe("pressing Command + A", function () {
+      beforeEach(function () {
+        event.metaKey = true;
+        event.keyCode = 65;
+      });
 
-        it("selects the entire grid to ranges", function () {
-          handleQueryOutputKeyboardEvent(event, slickEvent);
+      it("selects the entire grid to ranges", function () {
+        handleQueryOutputKeyboardEvent(event, slickEvent);
 
-          expect(RangeSelectionHelper.isEntireGridSelected(grid)).toBeTruthy();
-          expect(grid.getSelectionModel().getSelectedRanges().length).toBe(1);
-        });
+        expect(RangeSelectionHelper.isEntireGridSelected(grid)).toBeTruthy();
+        expect(grid.getSelectionModel().getSelectedRanges().length).toBe(1);
       });
+    });
 
-      describe("pressing Ctrl + A", function () {
-        beforeEach(function () {
-          event.ctrlKey = true;
-          event.keyCode = 65;
-        });
+    describe("pressing Ctrl + A", function () {
+      beforeEach(function () {
+        event.ctrlKey = true;
+        event.keyCode = 65;
+      });
 
-        it("selects the entire grid to ranges", function () {
-          handleQueryOutputKeyboardEvent(event, slickEvent);
+      it("selects the entire grid to ranges", function () {
+        handleQueryOutputKeyboardEvent(event, slickEvent);
 
-          expect(RangeSelectionHelper.isEntireGridSelected(grid)).toBeTruthy();
-          expect(grid.getSelectionModel().getSelectedRanges().length).toBe(1);
-        });
+        expect(RangeSelectionHelper.isEntireGridSelected(grid)).toBeTruthy();
+        expect(grid.getSelectionModel().getSelectedRanges().length).toBe(1);
       });
     });
   });
-});
\ No newline at end of file
+});
diff --git a/web/webpack.config.js b/web/webpack.config.js
new file mode 100644
index 00000000..91586592
--- /dev/null
+++ b/web/webpack.config.js
@@ -0,0 +1,29 @@
+/* eslint-env node */
+
+module.exports = {
+  context: __dirname + '/pgadmin/static/jsx',
+  entry: './components.jsx',
+  output: {
+    libraryTarget: 'amd',
+    path: __dirname + '/pgadmin/static/js/generated',
+    filename: 'reactComponents.js',
+  },
+
+  module: {
+    rules: [{
+      test: /\.jsx?$/,
+      exclude: /node_modules/,
+      use: {
+        loader: 'babel-loader',
+        options: {
+          presets: ['es2015', 'react'],
+        },
+      },
+    },
+    ],
+  },
+
+  resolve: {
+    extensions: ['.js', '.jsx'],
+  },
+};
\ No newline at end of file
diff --git a/web/webpack.test.config.js b/web/webpack.test.config.js
new file mode 100644
index 00000000..226020e9
--- /dev/null
+++ b/web/webpack.test.config.js
@@ -0,0 +1,71 @@
+/* eslint-env node */
+const path = require('path');
+const webpack = require('webpack');
+
+const sourcesDir = path.resolve(__dirname, 'pgadmin/static');
+const regressionDir = path.resolve(__dirname, 'regression');
+
+module.exports = {
+  plugins: [
+    new webpack.ProvidePlugin({
+      $: 'jquery',
+      jQuery: 'jquery',
+      _: 'underscore',
+      'underscore.string': 'underscore.string',
+    }),
+  ],
+
+  module: {
+    rules: [
+      {
+        test: /\.jsx?$/,
+        exclude: [/node_modules/, /vendor/],
+        use: {
+          loader: 'babel-loader',
+          options: {
+            presets: ['es2015'],
+          },
+        },
+      },
+      {
+        test: /.*slickgrid\/slick\.(?!core)*/,
+        loader: 'imports-loader?' +
+        'jquery.ui' +
+        ',jquery.event.drag' +
+        ',slickgrid',
+      }, {
+        test: /.*slickgrid\/plugins\/slick\.rowselectionmodel/,
+        loader: 'imports-loader?' +
+        'jquery.ui' +
+        ',jquery.event.drag' +
+        ',slickgrid' +
+        '!exports-loader?' +
+        'Slick.RowSelectionModel',
+      }, {
+        test: /.*slickgrid\/slick\.core.*/,
+        loader: 'imports-loader?' +
+        'jquery.ui' +
+        ',jquery.event.drag' +
+        '!exports-loader?' +
+        'Slick',
+      }],
+  },
+
+  resolve: {
+    alias: {
+      'alertify': sourcesDir + '/vendor/alertifyjs/alertify',
+      'jquery': sourcesDir + '/vendor/jquery/jquery-1.11.2',
+      'jquery.ui': sourcesDir + '/vendor/jquery-ui/jquery-ui-1.11.3',
+      'jquery.event.drag': sourcesDir + '/vendor/jquery-ui/jquery.event.drag-2.2',
+      'sources': sourcesDir + '/js',
+      'underscore.string': sourcesDir + '/vendor/underscore/underscore.string',
+      'translations': regressionDir + '/javascript/fake_translations',
+      'pgadmin.browser.endpoints': regressionDir + '/javascript/fake_endpoints',
+      'slickgrid': sourcesDir + '/vendor/slickgrid/slick.core',
+      'slickgrid.grid': sourcesDir + '/vendor/slickgrid/slick.grid',
+      'slickgrid.rowselectionmodel': sourcesDir + '/vendor/slickgrid/plugins/slick.rowselectionmodel',
+      'browser': path.resolve(__dirname, 'pgadmin/browser/static/js'),
+      'pgadmin': sourcesDir + '/js/pgadmin',
+    },
+  },
+};
